Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.validation
Class Word

    java.lang.Object
      |
      +--com.bea.web.validation.Word

Direct Known Subclasses:
  DateWord, DoubleWord, EmailWord, FloatWord, IdentifierWord, IntegerWord, URLWord

public class Word
extends java.lang.Object
implements java.io.Serializable

Encapsulates metadata about a single data element in a model. Words provide validation of values gathered at runtime. Words are capable of generating localized messages when reporting on the outcome validating a value. Words can validate a value against a regular expression by default. Additionally, the Word class can override the validate method to supply custom validation.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`Word()`

Method Summary
`protected java.lang.String` | `formatMessage(java.util.ResourceBundle bundle, java.lang.String strTemplateKey, java.lang.Object obj)`
`protected java.lang.String` | `formatMessage(java.util.ResourceBundle bundle, java.lang.String strTemplateKey, java.lang.Object[] aObj)`
`java.lang.String` | `getKey()`
`java.lang.String` | `getPattern()`
`protected java.lang.String` | `getResource(java.util.ResourceBundle bundle, java.lang.String strKey)`
`boolean` | `isRequired()`
`protected boolean` | `matchesPattern(java.lang.String strValue)`
`void` | `setKey(java.lang.String strKey)`
`void` | `setPattern(java.lang.String strPattern)`
`void` | `setRequired(boolean bIsRequired)`
`java.lang.String` | `toString()`
`IValidationResult` | `validate(java.lang.String strValue, java.util.ResourceBundle bundle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Word

    public Word()

Method Detail

### isRequired

    public final boolean isRequired()

### setRequired

    public final void setRequired(boolean bIsRequired)

### setPattern

    public final void setPattern(java.lang.String strPattern)
                          throws org.apache.oro.text.regex.MalformedPatternException

### getPattern

    public final java.lang.String getPattern()

### matchesPattern

    protected final boolean matchesPattern(java.lang.String strValue)

### validate

    public IValidationResult validate(java.lang.String strValue,
                                      java.util.ResourceBundle bundle)

### setKey

    public final void setKey(java.lang.String strKey)

### getKey

    public final java.lang.String getKey()

### formatMessage

    protected java.lang.String formatMessage(java.util.ResourceBundle bundle,
                                             java.lang.String strTemplateKey,
                                             java.lang.Object obj)

### formatMessage

    protected java.lang.String formatMessage(java.util.ResourceBundle bundle,
                                             java.lang.String strTemplateKey,
                                             java.lang.Object[] aObj)

### getResource

    protected java.lang.String getResource(java.util.ResourceBundle bundle,
                                           java.lang.String strKey)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)